
SET FOREIGN_KEY_CHECKS=0;

-- 
-- Table Structure for Table `#__joompedigrees_horses`
-- 

drop table if exists #__joompedigrees_horses;
CREATE TABLE IF NOT EXISTS `#__joompedigrees_horses` (
  `horse_id` smallint(5) NOT NULL auto_increment,
  `name_id` varchar(50) NOT NULL default '',
  `name` varchar(50) NOT NULL default '',
  `breed` varchar(20) NOT NULL default '',
  `colour` varchar(20) NOT NULL default '',
  `pattern` varchar(50) NOT NULL default '',
  `birth_date` date NOT NULL default '0000-00-00',
  `created` tinyint(1) NOT NULL default '0',
  `discipline` varchar(50) NOT NULL default '',
  `h_title` varchar(50) NOT NULL default '',
  `date_of_death` date NOT NULL default '0000-00-00',
  `death_reason` varchar(50) NOT NULL default '',
  `gender` enum('M','F') NOT NULL default 'M',
  `fixed` tinyint(1) NOT NULL default '0',
  `dam_id` smallint(5) NOT NULL,
  `sire_id` smallint(5) NOT NULL,
  `mate_id` smallint(5) NOT NULL,
  `stable` varchar(50) NOT NULL default '',
  `notes` longtext NOT NULL,
  `vet_history` longtext NOT NULL,
  `availability` tinyint(1) NOT NULL default '0',
  `imageurl` varchar(50) NOT NULL default '',
  `price` decimal(15,2) NOT NULL default '0.00',
  `owner` varchar(96) NOT NULL default '',
  `email` varchar(96) NOT NULL default '',
  `updated` timestamp NOT NULL default CURRENT_TIMESTAMP on update CURRENT_TIMESTAMP,
  `published` tinyint(1) NOT NULL default '0',
  PRIMARY KEY  (`horse_id`),
  KEY `gender` (`gender`),
  KEY `horse_id` (`horse_id`),
  KEY `idx_list_horses` (`horse_id`,`name_id`,`name`,`pattern`,`birth_date`),
  KEY `idx_list_babies` (`gender`,`horse_id`,`name`,`pattern`,`birth_date`,`name_id`),
  KEY `idx_offspring` (`birth_date`,`dam_id`,`sire_id`,`horse_id`,`breed`,`colour`,`name_id`,`date_of_death`)
) ENGINE=MyISAM AUTO_INCREMENT=1 DEFAULT CHARSET=utf8;
set names utf8;

-- 
-- Data for Table `#__joompedigrees_horses`
-- 
INSERT DELAYED INTO `#__joompedigrees_horses` (`horse_id`, `name_id`, `name`, `breed`, `colour`, `pattern`, `birth_date`, `created`, `discipline`, `h_title`, `date_of_death`, `death_reason`, `gender`, `fixed`, `dam_id`, `sire_id`, `mate_id`, `stable`, `notes`, `vet_history`, `availability`, `imageurl`, `price`, `owner`, `email`, `updated`, `published`) VALUES
(1, 'testgirl', 'testgirl', 'Pony of the Americas', 'Grey (Chestnut Base)', 'Leopard', '2008-11-04', 0, 'Stock Racing', 'test', '0000-00-00', '', 'F', 0, 0, 0, 2, 'test', 'test', 'test', 0, 'testhorse.png', 0.00, 'test', 'test@test.com', '2008-11-24 03:52:16', 1),
(2, 'testboy', 'testboy', 'Cleveland Bay', 'Chesnut Dun', 'Leopard', '2008-11-04', 0, 'Stock Racing', 'test', '0000-00-00', '', 'M', 0, 0, 0, 1, 'test', 'test', 'test', 0, 'testhorse.png', 0.00, 'test', 'test@test.com', '2008-11-23 22:23:41', 1),
(3, 'testbaby1', 'testbaby1', 'Cleveland Bay', 'Chesnut Dun', 'Leopard', '2008-11-04', 0, 'Stock Racing', 'test', '0000-00-00', '', 'F', 1, 1, 2, 0, 'test', 'test', 'test', 0, 'testhorse.png', 0.00, 'test', 'test@test.com', '2008-11-23 14:55:58', 1),
(4, 'testbaby2', 'testbaby2', 'Cleveland Bay', 'Chesnut Dun', 'Leopard', '2008-11-04', 0, 'Stock Racing', 'test', '0000-00-00', '', 'M', 0, 1, 2, 0, 'test', 'test', 'test', 0, 'testhorse.png', 0.00, 'test', 'test@test.com', '2008-11-23 14:56:21', 1),
(5, 'testg1', 'testg1', 'Cleveland Bay', 'Chesnut Dun', 'Leopard', '2008-11-04', 0, 'Stock Racing', 'test', '0000-00-00', '', 'M', 0, 5, 6, 0, 'test', 'test', 'test', 0, 'testhorse.png', 0.00, 'test', 'test@test.com', '2008-11-23 14:56:21', 1),
(6, 'testg2', 'testg2', 'Cleveland Bay', 'Chesnut Dun', 'Leopard', '2008-11-04', 0, 'Stock Racing', 'test', '0000-00-00', '', 'F', 0, 6, 5, 0, 'test', 'test', 'test', 0, 'testhorse.png', 0.00, 'test', 'test@test.com', '2008-11-23 14:56:21', 1);

-- 
-- Table Structure for Table `#__joompedigrees_mate`
-- 

drop table if exists #__joompedigrees_mate;
CREATE TABLE IF NOT EXISTS `#__joompedigrees_mate` (
  `male_id` smallint(5) NOT NULL default '0',
  `female_id` smallint(5) NOT NULL default '0',
  `mate_date` date NOT NULL default '0000-00-00',
  PRIMARY KEY  (`mate_date`,`male_id`,`female_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
set names utf8;

-- 
-- Data for Table `#__joompedigrees_mate`
-- 



-- 
-- Table Structure for Table `#__joompedigrees_tracking`
-- 

drop table if exists #__joompedigrees_tracking;
CREATE TABLE IF NOT EXISTS `#__joompedigrees_tracking` (
  `parrot_id` smallint(5) NOT NULL default '0',
  `email` varchar(128) NOT NULL default '',
  `key` varchar(32) NOT NULL default '',
  `action` enum('sub','unsub') NOT NULL default 'sub',
  `expires` datetime default NULL,
  UNIQUE KEY `parrot_id` (`parrot_id`,`email`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
set names utf8;

-- 
-- Data for Table `#__joompedigrees_tracking`
-- 


-- 
-- Table Structure for Table `#__joompedigrees_users`
-- 

drop table if exists #__joompedigrees_users;
CREATE TABLE IF NOT EXISTS `#__joompedigrees_users` (
  `id` smallint(6) NOT NULL auto_increment,
  `username` varchar(10) NOT NULL default '',
  `password` varchar(32) NOT NULL default '',
  `email` varchar(128) NOT NULL default '',
  `admin` enum('Y','N') NOT NULL default 'N',
  `edit` enum('Y','N') NOT NULL default 'N',
  `restrictdate` date NOT NULL default '0000-00-00',
  `style` varchar(40) NOT NULL default '',
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=1 DEFAULT CHARSET=utf8;
set names utf8;

-- 
-- Data for Table `#__joompedigrees_users`
--