<?php
//*********************************************************************************
	//Joomla Pedigrees Manager v2.1for Joomla! v1.5.x by C.Stinson - AdobeCactus.com
	//This program is free software; you can redistribute it and/or
	//modify it under the terms of the GNU General Public License
	//as published by the Free Software Foundation; either version 2
	//of the License, or (at your option) any later version.

	//This program is distributed in the hope that it will be useful,
	//but WITHOUT ANY WARRANTY; without even the implied warranty of
	//MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	//GNU General Public License for more details.
//*********************************************************************************
// no direct access
defined('_JEXEC') or die('Restricted access'); 

// import of base class
jimport('joomla.application.component.model');

class JoompedigreesModelbirths extends JModel
{
    /*
        returns a sorted list of all births from today until today+configurated interval
        
        implementation:
        an actual birthday is when the age of a horse yesterday differs from the age of this horse in xx days.
        the age is calculated by subtracting the year of birth from the current year (and eventually subtracting 1 if birthday
        is still coming this year e.g. (birth 1980-07-19) (today 2008-05-20) -> age = 2008-1980-1 = 27 )
        the list is sorted by date (but only by mm-dd, not by year)
        
	*/
    function getbirths()
	{	
		$query = "
		        SELECT ahorse_id, horse_id, name, month(birth_date) as dmonth, colour, 
                 DATE_FORMAT(birth_date, '" . JText::_('DATE_FORMAT1') . "') AS birth_date_f,
                 
                (YEAR(date_add(CURDATE(), INTERVAL " . _BIRTHDAY_INTERVAL_ . " DAY))-YEAR(birth_date)) 
                    - (RIGHT(date_add(CURDATE(), INTERVAL " . _BIRTHDAY_INTERVAL_ . " DAY),5)<=RIGHT(birth_date,5)) 
                    AS years
    
                FROM `#__joompedigrees_horses` WHERE birth_date<>'0000-00-00' 
                
                AND ( 
                (YEAR(date_add(CURDATE(), INTERVAL " . _BIRTHDAY_INTERVAL_ . " DAY))-YEAR(birth_date))
                 - (RIGHT(date_add(CURDATE(), INTERVAL " . _BIRTHDAY_INTERVAL_ . " DAY),5)<=RIGHT(birth_date,5)) 
                ) - ( 
                (YEAR(CURDATE())-YEAR(birth_date)) - (RIGHT(CURDATE(),5)<=RIGHT(birth_date,5)) 
                )
                <>0

                AND birth_date<'". _PROTECTION_DATE_."'
                AND published = 1 

                ORDER BY RIGHT(birth_date,5), birth_date
        ";

        $result = $this->_getList($query);
        $sortedResult = $this->sortAndTrimbirths($result);
		return @$sortedResult;
	}
	
    /*
        returns a sorted list of all deaths from today until today+configurated interval
        same implementation as getbirths()
	*/	
	
	function getDeaths()
	{	
		$query = "
		        SELECT ahorse_id, horse_id, name, month(date_of_death) AS dmonth, colour,
                 DATE_FORMAT(date_of_death, '" . JText::_('DATE_FORMAT') . "') AS date_of_death_f,
                 
                (YEAR(date_add(CURDATE(), INTERVAL " . _BIRTHDAY_INTERVAL_ . " DAY))-YEAR(date_of_death)) 
                    - (RIGHT(date_add(CURDATE(), INTERVAL " . _BIRTHDAY_INTERVAL_ . " DAY),5)<=RIGHT(date_of_death,5)) 
                    AS years
    
                FROM `#__joompedigrees_horses` WHERE date_of_death<>'0000-00-00' 
                
                AND ( 
                (YEAR(date_add(CURDATE(), INTERVAL " . _BIRTHDAY_INTERVAL_ . " DAY))-YEAR(date_of_death))
                 - (RIGHT(date_add(CURDATE(), INTERVAL " . _BIRTHDAY_INTERVAL_ . " DAY),5)<=RIGHT(date_of_death,5)) 
                ) - ( 
                (YEAR(CURDATE())-YEAR(date_of_death)) - (RIGHT(CURDATE(),5)<=RIGHT(date_of_death,5)) 
                )
                <>0
                
                AND birth_date<'". _PROTECTION_DATE_."' 
                AND published = 1 
                
                ORDER BY RIGHT(date_of_death,5), date_of_death
        ";

        $result = $this->_getList($query);
        $sortedResult = $this->sortAndTrimbirths($result);
		return @$sortedResult;
	}



    /*
        sorts the list of births (this sorting would be pretty hard directly in sql, so we do it using php)
        problem of the births queries is:
        births on december 20th are e.g. 2004-12-20, 2007-12-29, 2005-12-31, 2006-01-03
        mysql sorts:  2006-01-03, 2004-12-20, 2007-12-29, 2005-12-31
        we first take all dates having a month greater or equal the actual month and later we take the ones having a month
        greater 0 and smaller the actual month
    */
    
    function sortAndTrimbirths($hadays){
      	
        $act_month = date("n", time());
        $hadays_sorted = array();

        $counter = 0;
  		foreach($hadays as $haday){
      		if($counter >= 15) {break;}
            if($haday->dmonth >= $act_month) {
                array_push($hadays_sorted, $haday);
                $counter++;
            } 
        }

  		foreach($hadays as $haday){
  		    if($counter >= 15) {break;}
            if($haday->dmonth > 0 && $haday->dmonth<$act_month) {
                array_push($hadays_sorted, $haday);
                $counter++;
            } 
        }
        
        return $hadays_sorted;
        
    }



}



?>
